Page MenuHomePhabricator

Make a list of spaces we have, and who can access them
Closed, ResolvedPublic

Description

I think we don't have that yet? For people who can't view all spaces it is not possible to see which spaces we have, and who can access them, so for transperency a page with that informatik would be useful, I think. Other opinions?


See https://www.mediawiki.org/wiki/Phabricator/Spaces

Event Timeline

Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJun 25 2016, 6:14 PM

S1 - Public
S2 - Community Liasons, T94108
S3 - Testing space (All users)
S4 - Procurement - Vendor Quote, T93760
S5 - Fundraising-Analysis, T119258
S6 - Ops vendor announcements, T118176
S7 - Annual-Report-Private, T136889
S8 - WMUK Technical Committee, T122436

This problem would be solved if all the space description pages were public.

Qgil renamed this task from Make a list of spaces we have, and how can access them to Make a list of spaces we have, and who can access them.Jun 26 2016, 11:56 AM
Qgil added a subscriber: Qgil.
Peachey88 updated the task description. (Show Details)Jun 26 2016, 12:28 PM
Peachey88 added a subscriber: Peachey88.

I've added a table in the task description with a best guessitation about the ACLs that allow them, since most don't have any description on the project pages.

Peachey88 updated the task description. (Show Details)Jun 26 2016, 12:30 PM
Peachey88 updated the task description. (Show Details)
greg triaged this task as Low priority.Jun 30 2016, 8:20 PM
greg added a subscriber: greg.

Should we move this table to a wiki page under /Phabricator on mw.org and have "document on ${that_page}" a step in the space creation process?

Setting to Low as we have the table right now so we're probably 95% done :)

demon added a subscriber: demon.Jun 30 2016, 8:45 PM

Interesting that S2 and S5-S8 aren't even visible to me but S4 is :)

demon added a comment.Jun 30 2016, 8:46 PM

Interesting that S2 and S5-S8 aren't even visible to me but S4 is :)

Ah, S4 allows Administrators with Read permissions. Curious :)

greg added a comment.Jun 30 2016, 8:47 PM

(you must have some fancy ops permissions somewhere, 'cuz I can't see S4 ;) )

Setting to Low as we have the table right now so we're probably 95% done :)

I have no idea if its right, its just guesses based on name.

Is S8 actually WMUA Technical Committee or WMUK Technical Committee? If the latter, then it should be renamed to the former.

Krenair updated the task description. (Show Details)Jul 12 2016, 3:01 AM

"A" not "K", I had to guess the titles (since space description pages are still limited by their contents' visibility policy) and screwed that one up. Fixed.

  1. Where should this list end up on-wiki? Wikis are for documentation, tasks for work. :)
  2. Once decided, make https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Requesting_a_Space mention that additional step.
  3. Close this task.

Upstream issue would be also list of all spaces publicly. I personally don't see any reason why they can't - plain list of spaces names doesn't harm anything.

Aklapper updated the task description. (Show Details)Jul 12 2016, 5:25 PM
Aklapper updated the task description. (Show Details)Jul 22 2016, 12:27 PM
Danny_B updated the task description. (Show Details)Aug 8 2016, 5:29 PM
RobH updated the task description. (Show Details)Aug 8 2016, 5:31 PM
RobH added a subscriber: RobH.

I'm not sure how to update for the fact that S6 is now archived (as it was easier to use a mailing list to track maint-annoucements for ops, rather than importing emails into phab.) I've just added an 'active/inactive' column.

@RobH Does the space contain anything sensitive? Has it ever? (= Can it be opened and reused for something different?)

(= Can it be opened and reused for something different?)

Let's not reuse Spaces for different areas/topics. Any content referring to S6 before a "reuse" would suddenly get a highly confusing and misleading context. Thanks!

RobH added a comment.Aug 8 2016, 6:17 PM

(= Can it be opened and reused for something different?)

Let's not reuse Spaces for different areas/topics. Any content referring to S6 before a "reuse" would suddenly get a highly confusing and misleading context. Thanks!

Agreed that we should avoid reusing spaces. Archiving unused ones prevents confusion. I see no reason to re-use an archived space, unless it is re-opened for its initially presumed use. Anything else would lead to confusion as @Aklapper points out; and would require a full audit of a space for re-use. I think its easier to just make a new space, they cost nothing in terms of creation, only 'active' overhead.

I was not talking about reusing any space in general, but particularly only the S6 which seems to be never used and mentioned only in the single task.

Otherwise obviously no-reuse policy applies.

Aklapper claimed this task.Sep 23 2016, 1:44 PM

Upstream issue would be also list of all spaces publicly. I personally don't see any reason why they can't - plain list of spaces names doesn't harm anything.

Would you like to file an upstream request including a use case for such a public list?

  1. Where should this list end up on-wiki? Wikis are for documentation, tasks for work. :)

Anyone? @Luke081515?

  1. Once decided, make https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Requesting_a_Space mention that additional step.

Done in https://www.mediawiki.org/w/index.php?title=Phabricator%2FCreating_and_renaming_projects&action=historysubmit&type=revision&diff=2244384&oldid=2242760 by linking to this task.

Aklapper updated the task description. (Show Details)Sep 29 2016, 7:20 PM
Aklapper closed this task as Resolved.Sep 29 2016, 7:22 PM

Closing as resolved.